levelset(1)

NAME
levelset - Levelset segmentation

SYNOPSIS
levelset InputImage OutputImage

DESCRIPTION
Levelset-type segmentation of foreground/background using minimum regional variance energy

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--xml
    Write command line syntax specification in XML markup (for Slicer integration).

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--binarize, -b
    Binarize levelset and write as byte mask, rather than write floating-point levelset function itself.

  These parameters control the initialization of the levelset function

--scale-initial-sphere <double>
    Scale factor to reduce or increase the size of the initial foreground region sphere. [Default: 1]

  These parameters control the evolution of the levelset function

--iterations <integer>, -n <integer>
    Maximum number of iterations [Default: 100]

--force-iterations, -f
    Force given number of iterations, even when convergence has been detected

--filter-sigma <double>, -s <double>
    Gaussian filter sigma in world coordinate units (e.g., mm) [Default: 2]

--delta <double>, -d <double>
    Time constant for levelset evolution; must be > 0; larger is faster [Default: 0.1]

--levelset-threshold <double>, -t <double>
    Levelset threshold: levelset function is truncated at +/- this value [Default: 1]

  Image/Transformation Database

--db <string>
    Path to image/transformation database that should be updated with the newly created image. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.